﻿         var PROVINCES;
        function renderProvince(provinces) {
            PROVINCES = provinces;
            var provinceTemplate = $('#locationTemplate').tmpl(provinces);
            $('#province').empty();
            provinceTemplate.appendTo('#province');
            renderCities(provinces[0].Id);
        }

        function onProvinceChange() {
            var provinceId = $('option:selected', this).attr('id');
            renderCities(provinceId);
        }

        function renderCities(provinceId) {
            var cities = $.grep(PROVINCES, function (item, index) {
                return item.Id == provinceId;
            })[0].Cities;
            var cityTemplate = $('#locationTemplate').tmpl(cities);
            $('#city').empty();
            cityTemplate.appendTo('#city');
        }

            $.getTmplSync('/template/util.html');
            ajaxGet('/PublicService/Util.svc/ajax/FindLocations', renderProvince, null);
            $('#province').on('change', onProvinceChange);

 
            <tr>
                <td><label for="gender">性别</label></td>
                <td>
                    <input type="radio" name="gender" value="Male" checked="checked"/>男
                    <input type="radio" name="gender" value="Female"/>女
                </td>
            </tr>
            <tr>
                <td><label>地区</label></td>
                <td>
                    <select id="province" name="province"></select>
                    <select id="city" name="province"></select>
                </td>
            </tr>

